<?php

namespace App\Imports;

use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\ToCollection;

class EmailImport implements ToCollection
{
    protected $emails = [];

    public function collection(Collection $rows)
    {
        foreach ($rows as $row) {
            // Assuming the email address is in the first column of each row
            $email = $row[0] ?? null;
            if ($email && filter_var($email, FILTER_VALIDATE_EMAIL)) {
                $this->emails[] = $email;
            }
        }
    }

    public function getEmails()
    {
        return $this->emails;
    }
}
